View Issue Details

IDProjectCategoryView StatusLast Update
0000237SOGoWeb Calendarpublic2010-01-06 14:51
Reporterludovic Assigned Towsourdeau 
PriorityhighSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000237: All-day events passed DST spawns on two days in the Month View
Description

For America/Montreal:

1- create an all-day event on Oct 28th -> everything is alright

2- create one on Nov 13th -> in the Month view, the event is spawned on the 14th too

TagsNo tags attached.

Activities

tolivier

tolivier

2009-12-14 12:26

reporter   ~0000344

Hi Ludovic,

Do you think this bug can be solved in sogo 1.1.1 ?

I'm testing the nightly version and i can't create a daily event. When i shift the timezone to UTC i can do it! ...

i can't reproduce your test discribe in your description (Oct 28th), perhaps there is another issue.

all is ok in Thunderbird.

Maybe i would have to send a message in the list...not in bt.

Merci :-)

pucexcit

pucexcit

2009-12-29 09:40

reporter   ~0000393

I have the same trouble, execpt my my timezone is different it "Europe/Paris".
I have found a workaround, for my timezone, maybe it should works 4 u too.

Select the GMT Timezone (GMT+1,... ), for ie select "GMT-5", than "America/Montreal" as TimeZone.

ludovic

ludovic

2009-12-29 10:11

administrator   ~0000394

It doesn't "work" for me. If I select GMT-5 as my timezone (instead of America/Montreal) and create an all-day event on December 24th, it'll appear (only once though) in the Web interface on the 23rd.

Nevertheless, that gives us some hints on what could be wrong and it'll be fixed in the upcoming release.

wsourdeau

wsourdeau

2010-01-06 14:23

viewer   ~0000398

Fixed in http://mtn.inverse.ca/revision/diff/670a32bddc7117ef60e339622258d8cc0c3189ec/with/94cd3c2d69b764a47aa3032dde40735f50a696c9

wsourdeau

wsourdeau

2010-01-06 14:51

viewer   ~0000403

resolved

Issue History

Date Modified Username Field Change
2009-11-06 15:40 ludovic New Issue
2009-12-14 12:26 tolivier Note Added: 0000344
2009-12-22 11:51 ludovic Target Version => 1.2.0
2009-12-28 15:48 ludovic Status new => assigned
2009-12-28 15:48 ludovic Assigned To => ludovic
2009-12-29 09:40 pucexcit Note Added: 0000393
2009-12-29 10:11 ludovic Note Added: 0000394
2010-01-06 14:23 wsourdeau Note Added: 0000398
2010-01-06 14:23 wsourdeau Status assigned => resolved
2010-01-06 14:23 wsourdeau Fixed in Version => 1.2.0
2010-01-06 14:23 wsourdeau Resolution open => fixed
2010-01-06 14:23 wsourdeau Status resolved => assigned
2010-01-06 14:23 wsourdeau Assigned To ludovic => wsourdeau
2010-01-06 14:47 ludovic Status assigned => closed
2010-01-06 14:51 wsourdeau Note Added: 0000403
2010-01-06 14:51 wsourdeau Status closed => resolved